DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH v2] Modify tools/setup.sh to be compatible with fedora 21
@ 2014-10-09 10:48 Daniel Mrzyglod
  2014-10-09 15:16 ` Stephen Hemminger
  0 siblings, 1 reply; 3+ messages in thread
From: Daniel Mrzyglod @ 2014-10-09 10:48 UTC (permalink / raw)
  To: dev

script was expecting /lib/modules/$(uname -r)/kernel/drivers/uio/uio.ko but in fedora 21
there are Compressed kernel modules - xz (LZMA)

Signed-off-by: Daniel Mrzyglod <danielx.t.mrzyglod@intel.com>
---
 tools/setup.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tools/setup.sh b/tools/setup.sh
index 369e09e..14e319c 100755
--- a/tools/setup.sh
+++ b/tools/setup.sh
@@ -169,7 +169,8 @@ load_igb_uio_module()
 
 	/sbin/lsmod | grep -s uio > /dev/null
 	if [ $? -ne 0 ] ; then
-		if [ -f /lib/modules/$(uname -r)/kernel/drivers/uio/uio.ko ] ; then
+		sudo modinfo uio > /dev/null
+		if [ $? -eq 0 ]; then
 			echo "Loading uio module"
 			sudo /sbin/modprobe uio
 		fi
-- 
2.1.0

^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2014-10-09 16:32 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2014-10-09 10:48 [dpdk-dev] [PATCH v2] Modify tools/setup.sh to be compatible with fedora 21 Daniel Mrzyglod
2014-10-09 15:16 ` Stephen Hemminger
2014-10-09 16:39   ` Neil Horman

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).